Bug 66651 - /usr/lib/sendmail not using alternatives system.
/usr/lib/sendmail not using alternatives system.
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-12 19:04 EDT by jafo-redhat
Modified: 2008-12-11 13:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-21 11:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jafo-redhat 2002-06-12 19:04:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
It would seem useful to either have /usr/lib/sendmail (and possibly
/usr/bin/sendmail) perhaps be installed in their own package (such as
a "sendmail-compat" package which just includes those links), or
otherwise is installed in such a way that the the links to these
paths can be provided without requiring that sendmail be installed.

As it is, building another MTA RPM which has a sendmail wrapper
means that either it has to conflict with sendmail, or it has to
rely on the sendmail package existing in order for /usr/lib/sendmail to work.

Perhaps another alternative would be to have the alternatives system allow
setting up multiple links to the mta wrapper, or provide another standard entry
that could be used to include this wrapper (like mta-alt?).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install sendmail RPM.
2.Install another MTA RPM that tries to work well with the alternatives system.

Either the two above will conflict, or the removal of sendmail will
cause /usr/lib/sendmail to go away.

Additional info:
Comment 1 Thomas Woerner 2004-04-21 11:22:48 EDT
Fixed since sendmail-8.12.11-1.2.

Note You need to log in before you can comment on or make changes to this bug.